#include "FixupDoubleValidator.h"

FixupDoubleValidator::FixupDoubleValidator(QObject* parent)
    : QDoubleValidator(parent)
{
}

FixupDoubleValidator::FixupDoubleValidator(double bottom, double top, int decimals, QObject* parent)
    : QDoubleValidator(bottom, top, decimals, parent)
{
}

void FixupDoubleValidator::fixup(QString& /*input*/) const
{
    emit fixupSignal();
}
